package cn.estsh.i3plus.ext.mes.pcn.api.base;

import io.swagger.annotations.ApiOperation;

import java.util.Map;

public interface IMesEnumExtService {

    @ApiOperation("根据枚举名获取枚举")
    Map<String, Object> doGetMesEnumByEnumName(String organizeCode, String enumName);

    @ApiOperation("通过class获取枚举")
    Map<String, Object> getEnumByClazzEnum(String enumName, Class clazz);

}
